Bug Hunting Session
Bug 119931 - Fix accessibility warnings in .ui files
Summary: Fix accessibility warnings in .ui files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: accessibility, difficultyBeginner, easyHack, topicQA
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2018-09-17 13:43 UTC by Samuel Thibault
Modified: 2019-05-10 20:20 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Thibault 2018-09-17 13:43:13 UTC
LO's .ui files have accessibility issues which can be reported by the gla11y tool. The warnings for the existing issues are currently suppressed by solenv/sanitizers/ui/*.supp files, but the long-term goal is to just fix them.

This EasyHack is about fixing them, the procedure details are documented on 

https://wiki.documentfoundation.org/Development/Accessibility#Fixing_existing_issues

and more generally the documentation for warnings is on

https://wiki.documentfoundation.org/Development/Accessibility#Automatic_.ui_testing
Comment 1 Xisco Faulí 2018-09-18 11:43:08 UTC
Added this to the Google Code-In Ideas page: https://wiki.documentfoundation.org/Mentoring_Programs/Task_ideas_for_Google_Code-in#Development
Comment 2 rptr 2019-04-06 05:10:29 UTC
Having tried LO with a screen reader (Orca), I've noticed that the quality or style of the speech output varies a lot, not sure how to improve this.

In printerpaperpage.ui, fixing the warnings suppressed in solenv/sanitizers/
ui/vcl.suppr does not have any effect on the screen reader output.

Example: next to "Color:" choose "Greyscale". Screen reader will say "Greyscale",
but in printdialog.ui, if you choose "4" next to "Number of pages:",
the screen reader will say "Number of pages, 4". In the first case it should(?)
say "Color, greyscale". Again, not sure how to fix this.
Comment 3 Commit Notification 2019-04-06 07:05:12 UTC
Rasmus Jonsson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4a4ac352dc73fce0ef5fe017f1101e290e81fb6f%5E%21

tdf#119931 Fix accessibility warnings in printerpaperpage.ui

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-04-06 07:16:39 UTC
Rasmus Jonsson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4ba6388c4507e3c93ba130eeddb616b43657561b%5E%21

tdf#119931 Fix accessibility warnings in chinesedictionary.ui

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Samuel Thibault 2019-04-06 07:31:15 UTC
> fixing the warnings suppressed in solenv/sanitizers/
ui/vcl.suppr does not have any effect on the screen reader output.

Well, it did for the warnings that I fixed earlier :)

Just like compiler warnings, fixing all warnings does not necessarily fix all bugs, in some cases some work is needed in actual C code or even Orca itself. Of course, it doesn't mean we shouldn't work on fixing warnings: the ones which show up really do point at something being broken which should be fixed.

For instance, about "Color:", something seems odd in Orca for all labelled comboboxes, it's not specific to this particular case, so something is to be fixed in Orca or Libreoffice in general, but fixing the warning in the .ui file is needed *too* to fix the labelling. "Number of pages:" is not a combobox, so it is not affected by the issue.

Anyway, thanks for your work on this, it does help even if that sometimes can't be seen in Orca yet :)
Comment 6 rptr 2019-04-06 07:58:52 UTC
(In reply to Samuel Thibault from comment #5)
> > fixing the warnings suppressed in solenv/sanitizers/
> ui/vcl.suppr does not have any effect on the screen reader output.
> 
> Well, it did for the warnings that I fixed earlier :)

Yes in printdialog.ui there was an effect, hence my confusion when there was no effect in the other dialogues! As you say there's apparently something else going on.
Comment 7 Heiko Tietze 2019-04-08 09:56:02 UTC Comment hidden (off-topic)
Comment 8 Samuel Thibault 2019-04-08 10:00:04 UTC Comment hidden (off-topic)
Comment 9 rptr 2019-04-08 11:53:16 UTC
(In reply to Samuel Thibault from comment #8)
> Just FTR: there are a couple thousand warnings to fix, so we can't expect
> this to be done soon :)

Indeed, many many .ui files to be worked through, and even then there are many warnings that I'm not sure about so it will probably stay unresolved even after I'm done. I'll try to wrap it up as soon as possible.
Comment 10 Commit Notification 2019-05-08 14:35:31 UTC
Rasmus Jonsson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3f3d8a769967918d021b2bf36256cbff420850ef%5E%21

tdf#119931 Fix a11y warnings in classificationdialog.ui

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-05-08 14:41:32 UTC
Rasmus Jonsson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/43b2d7f5a2c1bc46f6bad9b932805f9142bd7407%5E%21

tdf#119931 fix a11y warnings in docking3deffects.ui

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-05-08 14:43:01 UTC
Rasmus Jonsson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/922f3d2f10746ab25deeb5ea4ae78795524e6744%5E%21

tdf#119931 Fix a11y warnings in compressgraphicdialog.ui

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-05-10 20:20:20 UTC
Samuel Thibault committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d422a9d0cb914260192fbc68305db088af022204%5E%21

tdf#119931 Fix a11y warnings in classificationdialog.ui

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.